# Retrieve a publishing job

Retrieves a specific publishing job with the specified ID, for example, job_41B25.  {% admonition type="info" name="Note" %}To retrieve a job, your token must include one of the following scopes  xmcpub.jobs.a:r, xmcpub.jobs.t:r, or xmcpub.jobs.t:rl. {% /admonition %}

Endpoint: GET /authoring/publishing/v1/jobs/{id}
Version: v1.0
Security: Bearer

## Path parameters:

  - `id` (string, required)
    ID of the job to retrieve.

## Response 200 fields (application/json):

  - `id` (string,null, required)
    The ID of the job.

  - `name` (string,null, required)
    The name of the job.

  - `options` (object, required)
    The options the publishing job was created with.

  - `options.xmc` (object,null)
    XMC publishing options.

  - `permissions` (object, required)
    The permissions of the current user or application to work with the job.

  - `permissions.canViewDetails` (boolean)
    Whether details of the publishing job can be viewed.

  - `permissions.canCancel` (boolean)
    Whether the publishing job can be canceled.

  - `source` (string,null, required)
    The source of the job.

  - `description` (string,null)
    The description of the job.

  - `statistics` (object)
    The job statistics.

  - `statistics.lastReportTime` (string)
    The last time the statistics were updated.

  - `statistics.itemsSent` (integer)
    The number of items sent.

  - `statistics.itemsProcessed` (integer)
    The number of items processed.

  - `statistics.itemsFailed` (integer)
    The number of items failed.

  - `statistics.xmc` (object)
    Additional fields of the XMC statistics.

  - `statistics.xmc.additionalItemsSent` (integer)
    The number of additional items sent.

  - `statistics.xmc.itemsAcknowledged` (integer)
    The number of items acknowledged.

  - `statistics.xmc.itemsDeleted` (integer)
    The number of items deleted.

  - `statistics.xmc.itemsSkipped` (integer)
    The number of items skipped.

  - `statistics.xmc.itemsSendingComplete` (boolean)
    Indicates whether the sending of items is complete.

  - `system` (object)
    The system data of a job.

  - `system.organizationId` (string,null, required)
    The ID of the organization that the job belongs to.

  - `system.status` (string, required)
    The status of the job.
    Enum: "Queued", "Running", "Completed", "Failed", "Canceled", "Canceling"

  - `system.tenantId` (string, required)
    The ID of the tenant that the job belongs to.

  - `system.tenantJobId` (string,null)
    The job ID on the tenant side.

  - `system.queuedTime` (string,null)
    The time when the job was queued.

  - `system.startTime` (string,null)
    The time when the job was started.

  - `system.finishTime` (string,null)
    The time when the job was finished.

  - `system.createdBy` (object)
    The service client description.

  - `system.createdBy.id` (string,null, required)
    The ID of service client.

  - `system.createdBy.name` (string,null, required)
    The name of service client.

  - `system.createdBy.type` (string, required)
    The type of service client.
    Enum: "Application", "User"

  - `system.canceledBy` (object)
    The service client description.

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


